## org.w3c.jigsaw.indexer
Class ContentTypeIndexer

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.indexer.SampleResourceIndexer
                        |
                        +--org.w3c.jigsaw.indexer.ContentTypeIndexer

public class ContentTypeIndexer
extends SampleResourceIndexer

Field Summary
`protected org.w3c.tools.resources.ResourceReference` | `contentTypes`

Fields inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`ATTR_CONTEXT, ATTR_LAST_MODIFIED, ATTR_SUPER_INDEXER, contentTypes, defname, directories, extCaseSensitive, extensions`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ContentTypeIndexer()`

Method Summary
`protected org.w3c.tools.resources.Resource` | `createFileResource(java.io.File directory, org.w3c.tools.resources.RequestInterface req, java.lang.String name, java.util.Hashtable defs)` Create a default file resource for this file (that exists).
`void` | `delete()` Delete this indexer.
`java.util.Enumeration` | `enumerateResourceIdentifiers(boolean all)`
`protected org.w3c.tools.resources.ResourceReference` | `getContentTypes()`
`org.w3c.tools.resources.ResourceReference` | `loadContentType(java.lang.String type)`
`org.w3c.tools.resources.ResourceReference` | `lookup(java.lang.String name)`

Methods inherited from class org.w3c.tools.resources.indexer.SampleResourceIndexer
`createDirectoryResource, createResource, createVirtualResource, delete, getContext, getDirectories, getExtensions, getFileExtensions, getIndexedDirName, getIndexedFileName, getIndexedName, getSuperIndexer, getTemplateFor, lastModified, loadDirectory, loadExtension, mergeDefaultAttributes, mergeFrameAttributes, registerResource`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getClone, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, getValue, initialize, isInitialized, markModified, notifyUnload, registerFrame, setContext, setContext, setValue, setValue, unregisterFrame, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentTypes

    protected org.w3c.tools.resources.ResourceReference contentTypes

Constructor Detail

### ContentTypeIndexer

    public ContentTypeIndexer()

Method Detail

### enumerateResourceIdentifiers

    public java.util.Enumeration enumerateResourceIdentifiers(boolean all)

  Overrides:
    enumerateResourceIdentifiers in class SampleResourceIndexer

### getContentTypes

    protected org.w3c.tools.resources.ResourceReference getContentTypes()

### lookup

    public org.w3c.tools.resources.ResourceReference lookup(java.lang.String name)

  Overrides:
    lookup in class SampleResourceIndexer

### delete

    public void delete()
                throws org.w3c.tools.resources.MultipleLockException

  Delete this indexer.
  Throws:
    org.w3c.tools.resources.MultipleLockException - if someone else has locked the resource
  Overrides:
    delete in class SampleResourceIndexer

### loadContentType

    public org.w3c.tools.resources.ResourceReference loadContentType(java.lang.String type)

### createFileResource

    protected org.w3c.tools.resources.Resource createFileResource(java.io.File directory,
                                                                  org.w3c.tools.resources.RequestInterface req,
                                                                  java.lang.String name,
                                                                  java.util.Hashtable defs)

  Create a default file resource for this file (that exists).
  Parameters:
    `directory` - The directory of the file.
    `name` - The name of the file.
    `defs` - A set of default attribute values.
  Returns:
    An instance of Resource, or null if we were unable to create it.
  Overrides:
    createFileResource in class SampleResourceIndexer